LITECOIN-WALLET(1)

NAME
litecoin-wallet - manual page for litecoin-wallet v0.21.3.0

DESCRIPTION
Litecoin Core litecoin-wallet version v0.21.3.0-dirty

litecoin-wallet is an offline tool for creating and interacting with Litecoin Core wallet files. By default litecoin-wallet will act on wallets in the default mainnet wallet directory in the datadir. To change the target wallet, use the -datadir, -wallet and -testnet/-regtest arguments.

  Usage:

    litecoin-wallet [options] <command>

OPTIONS

-?

    Print this help message and exit

-datadir=<dir>

    Specify data directory

-wallet=<wallet-name>

    Specify wallet name

Debugging/Testing options:

-debug=<category>

    Output debugging information (default: 0).

-printtoconsole

    Send trace/debug info to console (default: 1 when no -debug is true, 0 otherwise).

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: main). Allowed values: main, test, signet, regtest

-signet

    Use the signet chain. Equivalent to -chain=signet. Note that the network is defined by the -signetchallenge parameter

-signetchallenge

    Blocks must satisfy the given script to be considered valid (only for signet networks; defaults to the global default signet test network challenge)

-signetseednode

    Specify a seed node for the signet network, in the hostname[:port] format, e.g. sig.net:1234 (may be used multiple times to specify multiple seed nodes; defaults to the global default signet test network seed node(s))

-testnet

    Use the test chain. Equivalent to -chain=test.

Commands:

    create

    Create new wallet file

    info

    Get wallet info

    salvage

    Attempt to recover private keys from a corrupt wallet. Warning: 'salvage' is experimental.

COPYRIGHT
Copyright (C) 2011-2024 The Litecoin Core developers Copyright (C) 2009-2024 The Bitcoin Core developers Please contribute if you find Litecoin Core useful. Visit <https://litecoin.org/> for further information about the software. The source code is available from <https://github.com/litecoin-project/litecoin>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT>